

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import java.io.*;


// Beispiel der Verwendung von abgeleiteten Klassen und Initialisierungen

public class Sandwich extends MensaEssen {
 Brot b = new Brot ();
 Kaese k = new Kaese();
 Salat s = new Salat();

 public Sandwich() {
  System.out.println("Sandwich");
 }


   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }


  static public void main(String[] args) {
	  Sandwich s = new Sandwich();
    pause();
  }


}  // Sandwich



class Speisen extends Object {
  public Speisen() {
    super();
    System.out.println("Speisen");
  }
}
class Brot {
  public Brot() {
  	System.out.println("Brot");
  }
}
class Kaese {
	public Kaese() {
    System.out.println("Käse");
  }
}
class Salat {
  public Salat() {
  	System.out.println("Salat");
  }
}
class Mittagessen extends Speisen {
	public Mittagessen() {
     super();
    System.out.println("Mittagessen");
  }
}
class MensaEssen extends Mittagessen {
	public MensaEssen() {
    System.out.println("Mensaessen");
  }
}




